# ARBCLEvent (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBCLEvent

    java.lang.Object
      org.lwjgl.opengl.ARBCLEvent

    public final class ARBCLEvent

extends java.lang.Object

Field Summary
`static int` `GL_SYNC_CL_EVENT_ARB` Returned in <values> for GetSynciv <pname> OBJECT_TYPE.
`static int` `GL_SYNC_CL_EVENT_COMPLETE_ARB` Returned in <values> for GetSynciv <pname> SYNC_CONDITION.

Method Summary
`static GLSync` `glCreateSyncFromCLeventARB(CLContext context, CLEvent event, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SYNC_CL_EVENT_ARB

    public static final int GL_SYNC_CL_EVENT_ARB

  Returned in <values> for GetSynciv <pname> OBJECT_TYPE.

  See Also:
    Constant Field Values

### GL_SYNC_CL_EVENT_COMPLETE_ARB

    public static final int GL_SYNC_CL_EVENT_COMPLETE_ARB

  Returned in <values> for GetSynciv <pname> SYNC_CONDITION.

  See Also:
    Constant Field Values

Method Detail

### glCreateSyncFromCLeventARB

    public static GLSync glCreateSyncFromCLeventARB(CLContext context,
                                                    CLEvent event,
                                                    int flags)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.